=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

#PYVERS=$(shell pyversions -vs)

include /usr/share/dpkg/architecture.mk

# Export buildflags
#
# Do not use broken detect code in configure.ac, which is commented
# out
#
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@
#	dh $@ --with python2

#override_dh_auto_build:
#	dh_auto_build
#	(cd python; \
#	    python2 setup.py build; \
#	)

#override_dh_auto_install:
#	dh_auto_install
#	(cd python; \
#	    python2 setup.py install --prefix=/usr --install-layout=deb --root=$(CURDIR)/debian/tmp/ ; \
#	)
